Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160018 - Internal compiler bug
Summary: Internal compiler bug
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-10 01:27 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-13 15:21:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 22013 None None None Never

Description Ivan Gyurdiev 2005-06-10 01:27:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Fails to compile Wine CVS (dlls/msi/dialog.c):

gcc -c -I. -I. -I../../include -I../../include  -D__WINESRC__   -D_REENTRANT -fP IC -Wall -pipe -mpreferred-stack-boundary=2 -fno-strict-aliasing -gstabs+ -Wpoin ter-arith  -g -O2 -o dialog.o dialog.c
dialog.c: In function msi_dialog_scrolltext_control:
dialog.c:516: internal compiler error: in gimple_add_tmp_var, at gimplify.c:532
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccFTihI7.out file, please attach this to yo ur bugreport.
make[2]: *** [dialog.o] Error 1
make[2]: Leaving directory `/home/phantom/src/wine/dlls/msi'
make[1]: *** [msi] Error 2
make[1]: Leaving directory `/home/phantom/src/wine/dlls'
make: *** [dlls] Error 2

Precompiled here (~1 MB): http://ivan.ivg2.net/bug.txt

Version-Release number of selected component (if applicable):
gcc-4.0.0-11

How reproducible:
Always

Steps to Reproduce:
1. Compile Wine CVS
  

Additional info:

Comment 1 Jakub Jelinek 2005-07-10 20:35:55 UTC
Should be fixed in gcc-4.0.1-1 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.